Skip to main content
GET
List Emails

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

campaign
string

Filter emails by campaign name.

createdAfter
string<date-time>

Filter emails created after a specific date. Format should be date-time.

createdAt
string<date-time>

Filter emails by the exact creation date. Format should be date-time.

createdBefore
string<date-time>

Filter emails created before a specific date. Format should be date-time.

includedProperties
string[]

Specify additional properties to include in the response. Accepts an array of strings.

includeStats
boolean

Include statistics in the response. Accepts a boolean value.

isPublished
boolean

Filter emails by their published status. Accepts a boolean value.

limit
integer<int32>

The maximum number of results to display per page.

marketingCampaignNames
boolean

Include marketing campaign names in the response. Accepts a boolean value.

publishedAfter
string<date-time>

Filter emails published after a specific date. Format should be date-time.

publishedAt
string<date-time>

Filter emails by the exact publication date. Format should be date-time.

publishedBefore
string<date-time>

Filter emails published before a specific date. Format should be date-time.

sort
string[]

Specify the sorting order for the results. Accepts an array of strings.

type
enum<string>

Filter emails by type. Accepts specific email types such as AB_EMAIL, BATCH_EMAIL, etc.

Available options:
AB_EMAIL,
AUTOMATED_AB_EMAIL,
AUTOMATED_EMAIL,
BATCH_EMAIL,
BLOG_EMAIL,
BLOG_EMAIL_CHILD,
FEEDBACK_CES_EMAIL,
FEEDBACK_CUSTOM_EMAIL,
FEEDBACK_CUSTOM_SURVEY_EMAIL,
FEEDBACK_NPS_EMAIL,
FOLLOWUP_EMAIL,
LEADFLOW_EMAIL,
LOCALTIME_EMAIL,
MANAGE_PREFERENCES_EMAIL,
MARKETING_SINGLE_SEND_API,
MEMBERSHIP_EMAIL_VERIFICATION_EMAIL,
MEMBERSHIP_FOLLOW_UP_EMAIL,
MEMBERSHIP_OTP_LOGIN_EMAIL,
MEMBERSHIP_PASSWORD_RESET_EMAIL,
MEMBERSHIP_PASSWORD_SAVED_EMAIL,
MEMBERSHIP_PASSWORDLESS_AUTH_EMAIL,
MEMBERSHIP_REGISTRATION_EMAIL,
MEMBERSHIP_REGISTRATION_FOLLOW_UP_EMAIL,
MEMBERSHIP_VERIFICATION_EMAIL,
OPTIN_EMAIL,
OPTIN_FOLLOWUP_EMAIL,
RESUBSCRIBE_EMAIL,
RSS_EMAIL,
RSS_EMAIL_CHILD,
SINGLE_SEND_API,
SMTP_TOKEN,
TICKET_EMAIL
updatedAfter
string<date-time>

Filter emails updated after a specific date. Format should be date-time.

updatedAt
string<date-time>

Filter emails by the exact update date. Format should be date-time.

updatedBefore
string<date-time>

Filter emails updated before a specific date. Format should be date-time.

variantStats
boolean

Include variant statistics in the response. Accepts a boolean value.

workflowNames
boolean

Include workflow names in the response. Accepts a boolean value.

Response

successful operation

results
object[]
required

An array containing the public email objects retrieved in the current page of results.

total
integer<int32>
required

An integer representing the total number of public emails available.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on October 6, 2026